=== modified file 'dhis-2/dhis-api/src/main/java/org/hisp/dhis/mapping/MapLayer.java'
--- dhis-2/dhis-api/src/main/java/org/hisp/dhis/mapping/MapLayer.java	2009-08-26 01:56:03 +0000
+++ dhis-2/dhis-api/src/main/java/org/hisp/dhis/mapping/MapLayer.java	2009-08-26 18:57:37 +0000
@@ -43,7 +43,7 @@
     
     private String fillColor;
     
-    private int fillOpacity;
+    private double fillOpacity;
     
     private String strokeColor;
     
@@ -53,7 +53,7 @@
     {
     }
 
-    public MapLayer( String name, String type, String mapSource, String fillColor, int fillOpacity, String strokeColor, int strokeWidth )
+    public MapLayer( String name, String type, String mapSource, String fillColor, double fillOpacity, String strokeColor, int strokeWidth )
     {
         this.name = name;
         this.type = type;
@@ -151,12 +151,12 @@
         this.fillColor = fillColor;
     }
 
-    public int getFillOpacity()
+    public double getFillOpacity()
     {
         return fillOpacity;
     }
 
-    public void setFillOpacity( int fillOpacity )
+    public void setFillOpacity( double fillOpacity )
     {
         this.fillOpacity = fillOpacity;
     }

=== modified file 'dhis-2/dhis-api/src/main/java/org/hisp/dhis/mapping/MappingService.java'
--- dhis-2/dhis-api/src/main/java/org/hisp/dhis/mapping/MappingService.java	2009-08-26 01:56:03 +0000
+++ dhis-2/dhis-api/src/main/java/org/hisp/dhis/mapping/MappingService.java	2009-08-26 18:57:37 +0000
@@ -346,7 +346,7 @@
     
     void updateMapLayer( MapLayer mapLayer );
     
-    void addOrUpdateMapLayer( String name, String type, String mapSource, String fillColor, int fillOpacity, String strokeColor, int strokeWidth );
+    void addOrUpdateMapLayer( String name, String type, String mapSource, String fillColor, double fillOpacity, String strokeColor, int strokeWidth );
     
     void deleteMapLayer( MapLayer mapLayer );
     

=== modified file 'dhis-2/dhis-services/dhis-service-mapping/src/main/java/org/hisp/dhis/mapping/DefaultMappingService.java'
--- dhis-2/dhis-services/dhis-service-mapping/src/main/java/org/hisp/dhis/mapping/DefaultMappingService.java	2009-08-26 01:56:03 +0000
+++ dhis-2/dhis-services/dhis-service-mapping/src/main/java/org/hisp/dhis/mapping/DefaultMappingService.java	2009-08-26 18:57:37 +0000
@@ -557,7 +557,7 @@
         mappingStore.updateMapLayer( mapLayer );
     }
 
-    public void addOrUpdateMapLayer( String name, String type, String mapSource, String fillColor, int fillOpacity, String strokeColor, int strokeWidth )
+    public void addOrUpdateMapLayer( String name, String type, String mapSource, String fillColor, double fillOpacity, String strokeColor, int strokeWidth )
     {
         MapLayer mapLayer = mappingStore.getMapLayerByName( name );
 

=== modified file 'gis/dhis-web-mapping/src/main/java/org/hisp/dhis/mapping/action/AddOrUpdateMapLayerAction.java'
--- gis/dhis-web-mapping/src/main/java/org/hisp/dhis/mapping/action/AddOrUpdateMapLayerAction.java	2009-08-26 01:56:03 +0000
+++ gis/dhis-web-mapping/src/main/java/org/hisp/dhis/mapping/action/AddOrUpdateMapLayerAction.java	2009-08-26 18:57:37 +0000
@@ -81,9 +81,9 @@
         this.fillColor = fillColor;
     }
 
-    private int fillOpacity;
+    private double fillOpacity;
 
-    public void setFillOpacity( int fillOpacity )
+    public void setFillOpacity( double fillOpacity )
     {
         this.fillOpacity = fillOpacity;
     }

